Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow
Class WebflowJSPHelper

    java.lang.Object
      |
      +--com.bea.p13n.appflow.webflow.WebflowJSPHelper

public class WebflowJSPHelper
extends java.lang.Object

`WebflowJSPHelper` provides utility methods needed by JSP's when working with webflow and pipeline.

Field Summary
`static int` | `CALCULATE_ESCAPE_URL` Flag indicating that URL escaping should be calculated
`static int` | `CALCULATE_HTTPS` An HTTPSFlag value to be used in createWebflowURL.
`static java.lang.String` | `DEFAULT_HTTP_PORT` If the http port = DEFAULT_HTTP_PORT (80) it will not include it in the URL
`static java.lang.String` | `DEFAULT_HTTPS_PORT` If the https port = DEFAULT_HTTPS_PORT (443) it will not include it in the URL
`static int` | `ESCAPE_URL` Flag indicating that the URL should be escaped
`static java.lang.String` | `FORCE_HTTPS_FOR_AUTH_USERS` The name of the initialization parameter that specifies if HTTPS use should be forced for all resources once the user has been authenticated.
`static int` | `NO_ESCAPE_URL` Flag indicating that the URL should not be escaped
`static java.lang.String` | `P13N_APPLICATION_URL_DEFAULT` The default servlet path information for webflow.
`static java.lang.String` | `P13N_APPLICATION_URL_ELEMENT_NAME` The name of the initialization parameter that specifies a the servlet path for the webflow servlet in this webapp.
`static java.lang.String` | `P13N_STATIC_ROOT_ELEMENT_NAME` The name of the initialization parameter that specifies the path to static resources for the webflow URLs.
`static java.lang.String` | `P13N_URL_DOMAIN_NAME` The name of the context parameter that specifies a domain name for the URL in cases where Apache is fronting a webflow app.
`static java.lang.String` | `P13N_URL_PREFIX_ELEMENT_NAME` The name of the context parameter that specifies a prefix for the URL in cases where Apache is fronting a webflow app.
`static java.lang.String` | `PROXY_ALLOW_OVERRIDE_SSL` Parameter name for allowing over ride of the SSL setting on a managed node
`static int` | `USE_HTTP` An HTTPSFlag value to be used in createWebflowURL.
`static int` | `USE_HTTPS` An HTTPSFlag value to be used in createWebflowURL.
`static int` | `USE_WEBAPP_DEFAULT_HTTPS` An HTTPSFlag value to be used in createWebflowURL.

Constructor Summary
`WebflowJSPHelper()`

Method Summary
`static java.lang.String` | `createStaticResourceURL(javax.servlet.jsp.PageContext pageContext, java.lang.String url)` Returns a URL for images and other static resources that may exist on a seperate server.
`static java.lang.String` | `createStaticResourceURL(javax.servlet.jsp.PageContext pageContext, java.lang.String url, boolean encode)` Returns a URL for images and other static resources that may exist on a seperate server.
`static java.lang.String` | `createStaticResourceURL(javax.servlet.jsp.PageContext pageContext, java.lang.String url, boolean encode, int escape)` Returns a URL for images and other static resources that may exist on a seperate server.
`static java.lang.String` | `createStaticResourceURLWithEscape(javax.servlet.jsp.PageContext pageContext, java.lang.String url, int escape)` Returns an escaped URL for images and other static resources that may exist on a seperate server.
`static java.lang.String` | `createWebflowURL(javax.servlet.jsp.PageContext pageContext, java.lang.String origin, java.lang.String event, boolean includeParameters)` Returns a URL for Webflow.
`static java.lang.String` | `createWebflowURL(javax.servlet.jsp.PageContext pageContext, java.lang.String namespace, java.lang.String origin, java.lang.String event, boolean includeParameters)` Returns a URL for Webflow.
`static java.lang.String` | `createWebflowURL(javax.servlet.jsp.PageContext pageContext, java.lang.String namespace, java.lang.String origin, java.lang.String event, java.lang.String urlSuffix, java.lang.String extraParams, boolean includeParameters, boolean doRedirect)` Returns a URL for Webflow.
`static java.lang.String` | `createWebflowURL(javax.servlet.jsp.PageContext pageContext, java.lang.String namespace, java.lang.String origin, java.lang.String event, java.lang.String urlSuffix, java.lang.String extraParams, boolean includeParameters, boolean doRedirect, boolean encode)` Returns a URL for Webflow.
`static java.lang.String` | `createWebflowURL(javax.servlet.jsp.PageContext pageContext, java.lang.String namespace, java.lang.String origin, java.lang.String event, java.lang.String urlSuffix, java.lang.String extraParams, boolean includeParameters, boolean doRedirect, boolean encode, int HTTPSFlag)` Returns a URL for Webflow.
`static java.lang.String` | `createWebflowURL(javax.servlet.jsp.PageContext pageContext, java.lang.String namespace, java.lang.String origin, java.lang.String event, java.lang.String urlSuffix, java.lang.String extraParams, java.lang.String urlPrefix, java.lang.String domainName, boolean includeParameters, boolean doRedirect, boolean encode, int HTTPSFlag, java.lang.String resourceIdentifier)` Returns a URL for Webflow.
`static java.lang.String` | `createWebflowURL(javax.servlet.jsp.PageContext pageContext, java.lang.String namespace, java.lang.String origin, java.lang.String event, java.lang.String urlSuffix, java.lang.String extraParams, java.lang.String urlPrefix, java.lang.String domainName, boolean includeParameters, boolean doRedirect, boolean encode, int HTTPSFlag, java.lang.String resourceIdentifier, int escape)` Returns a URL for Webflow.
`static java.lang.String` | `createWebflowURL(javax.servlet.jsp.PageContext pageContext, java.lang.String namespace, java.lang.String origin, java.lang.String event, java.lang.String urlSuffix, java.lang.String extraParams, java.lang.String urlPrefix, java.lang.String domainName, boolean includeParameters, boolean doRedirect, int HTTPSFlag, java.lang.String resourceIdentifier)` Returns a URL for Webflow.
`static java.lang.String` | `createWebflowURL(javax.servlet.jsp.PageContext pageContext, java.lang.String namespace, java.lang.String origin, java.lang.String event, java.lang.String urlSuffix, java.lang.String extraParams, java.lang.String urlPrefix, java.lang.String domainName, boolean includeParameters, boolean doRedirect, int HTTPSFlag, java.lang.String resourceIdentifier, int escape)` Returns a URL for Webflow.
`static java.lang.String` | `createWebflowURL(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String namespace, java.lang.String origin, java.lang.String event, java.lang.String urlSuffix, java.lang.String extraParams, boolean includeParameters, boolean doRedirect, boolean encode, int HTTPSFlag)` Returns a URL for Webflow.
`static java.lang.String` | `createWebflowURL(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String namespace, java.lang.String origin, java.lang.String event, java.lang.String urlSuffix, java.lang.String extraParams, java.lang.String urlPrefix, java.lang.String domainName, boolean includeParameters, boolean doRedirect, boolean encode, int HTTPSFlag, java.lang.String resourceIdentifier)` Returns a URL for Webflow.
`static java.lang.String` | `createWebflowURL(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String namespace, java.lang.String origin, java.lang.String event, java.lang.String urlSuffix, java.lang.String extraParams, java.lang.String urlPrefix, java.lang.String domainName, boolean includeParameters, boolean doRedirect, boolean encode, int HTTPSFlag, java.lang.String resourceIdentifier, int escape)` Returns a URL for Webflow.
`static java.lang.String` | `encodeURL(javax.servlet.http.HttpServletResponse response, java.lang.String url)` Encodes a given URL string using response.encodeURL().
`static java.lang.String` | `escapeURL(java.lang.String url)` Escape a given URL string using java.net.URLEncoder.encode().
`static java.lang.String` | `escapeURL(java.lang.String url, boolean calculate)` Escape a given URL string using java.net.URLEncoder.encode().
`static java.lang.String` | `getDefaultWebflowNamespace(javax.servlet.jsp.PageContext pageContext)` Gets the name of the default namespace.
`static boolean` | `getEncodeDefault(javax.servlet.jsp.PageContext pageContext)` Returns the default setting for URL response encoding.
`static boolean` | `getEncodeStaticDefault(javax.servlet.jsp.PageContext pageContext)` Returns the default setting for static URL response encoding.
`static int` | `getEscapeDefault(javax.servlet.jsp.PageContext pageContext)` Returns the default setting for URL escaping.
`static int` | `getEscapeStaticDefault(javax.servlet.jsp.PageContext pageContext)` Returns the default setting for static URL escaping.
`static int` | `getHTTPSDefaultFlag()` Check to see what the web app default setting for HTTPS is.
`static java.lang.String` | `getSslEnabled()`
`static boolean` | `isForceHTTPS()`
`static java.lang.String` | `priceFormat(double price)` Deprecated.
`static java.lang.String` | `quantityFormat(double quantity)` Deprecated.
`static boolean` | `shouldForceHTTPS(javax.servlet.http.HttpServletRequest request)` Determine if HTTPS should be forced for this particular request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### P13N_URL_PREFIX_ELEMENT_NAME

    public static final java.lang.String P13N_URL_PREFIX_ELEMENT_NAME

  The name of the context parameter that specifies a prefix for the URL in cases where Apache is fronting a webflow app. This parameter is specified in the web app's web.xml file.

### P13N_URL_DOMAIN_NAME

    public static final java.lang.String P13N_URL_DOMAIN_NAME

  The name of the context parameter that specifies a domain name for the URL in cases where Apache is fronting a webflow app. This parameter is specified in the web app's web.xml file.

### P13N_APPLICATION_URL_ELEMENT_NAME

    public static final java.lang.String P13N_APPLICATION_URL_ELEMENT_NAME

  The name of the initialization parameter that specifies a the servlet path for the webflow servlet in this webapp. This parameter is specified in the web app's web.xml file.

### P13N_APPLICATION_URL_DEFAULT

    public static final java.lang.String P13N_APPLICATION_URL_DEFAULT

  The default servlet path information for webflow. Site developers should be overriding this value by setting a P13N_APPLICATION_URL_ELEMENT_NAME param in the web.xml context parameters.

### P13N_STATIC_ROOT_ELEMENT_NAME

    public static final java.lang.String P13N_STATIC_ROOT_ELEMENT_NAME

  The name of the initialization parameter that specifies the path to static resources for the webflow URLs. This is used in cases where images and other static If this is not specifed, the default is the context path of the last request. This parameter is specified in the web app's web.xml file.

### PROXY_ALLOW_OVERRIDE_SSL

    public static final java.lang.String PROXY_ALLOW_OVERRIDE_SSL

  Parameter name for allowing over ride of the SSL setting on a managed node

### FORCE_HTTPS_FOR_AUTH_USERS

    public static final java.lang.String FORCE_HTTPS_FOR_AUTH_USERS

  The name of the initialization parameter that specifies if HTTPS use should be forced for all resources once the user has been authenticated.

### CALCULATE_HTTPS

    public static final int CALCULATE_HTTPS

  An HTTPSFlag value to be used in createWebflowURL. Indicates that webflow must calculate whether HTTPS needs to be used for this URL.

### USE_HTTP

    public static final int USE_HTTP

  An HTTPSFlag value to be used in createWebflowURL. Indicates that HTTP should be used and not HTTPS.

### USE_HTTPS

    public static final int USE_HTTPS

  An HTTPSFlag value to be used in createWebflowURL. Indicates that HTTPS should be used and not HTTP.

### USE_WEBAPP_DEFAULT_HTTPS

    public static final int USE_WEBAPP_DEFAULT_HTTPS

  An HTTPSFlag value to be used in createWebflowURL. Indicates that the value should be read from the webapp configuration (web.xml HTTPSIND_DEFAULT_VALUE parameter) or CALCULATE_HTTPS if that parameter is missing.

### DEFAULT_HTTP_PORT

    public static final java.lang.String DEFAULT_HTTP_PORT

  If the http port = DEFAULT_HTTP_PORT (80) it will not include it in the URL

### DEFAULT_HTTPS_PORT

    public static final java.lang.String DEFAULT_HTTPS_PORT

  If the https port = DEFAULT_HTTPS_PORT (443) it will not include it in the URL

### NO_ESCAPE_URL

    public static final int NO_ESCAPE_URL

  Flag indicating that the URL should not be escaped

### ESCAPE_URL

    public static final int ESCAPE_URL

  Flag indicating that the URL should be escaped

### CALCULATE_ESCAPE_URL

    public static final int CALCULATE_ESCAPE_URL

  Flag indicating that URL escaping should be calculated

Constructor Detail

### WebflowJSPHelper

    public WebflowJSPHelper()

Method Detail

### encodeURL

    public static java.lang.String encodeURL(javax.servlet.http.HttpServletResponse response,
                                             java.lang.String url)

  Encodes a given URL string using response.encodeURL(). This will potentially add a session Id to the URL.

  Parameters:
    `response` - HttpServletResponse object.
  Returns:
    a String containing the encoded URL.

### escapeURL

    public static java.lang.String escapeURL(java.lang.String url)

  Escape a given URL string using java.net.URLEncoder.encode(). This will encode the URL using UTF-8 and then escape it. This function will generate UTF-8 encoded URL that works for any version of browser on any localized platform to display a URL contain multi-byte character(s). Note, if this method is called the URL will always be escaped regardless of the web.xml settings that pertain to escaping.

  Parameters:
    `url` - String object.
  Returns:
    a String containing the escaped UTF-8 URL.

### escapeURL

    public static java.lang.String escapeURL(java.lang.String url,
                                             boolean calculate)

  Escape a given URL string using java.net.URLEncoder.encode(). This will encode the URL using UTF-8 and then escape it. This function will generate UTF-8 encoded URL that works for any version of browser on any localized platform to display a URL contain multi-byte character(s). Note, if this method is called the URL will always be escaped regardless of the web.xml settings that pertain to escaping. Caution: The calculate option has been added to increase performance of some applications. If most of the URLs created by your application do not require escaping then performance should be better when using the calculate feature. However, if most of your URLs do need encoding performance may actually be worse when using the calculate feature because both checking and encoding will be performed in most cases.

  Parameters:
    `url` - a String, the URL to escape
    `calculate` - a boolean indicating if the URL should be checked before it is encoded. If true the URL will be checked for "unsafe" charaters before it is encoded. If false the URL will be encoded regardless of its content.
  Returns:
    a String containing the escaped UTF-8 URL.

### getHTTPSDefaultFlag

    public static int getHTTPSDefaultFlag()

  Check to see what the web app default setting for HTTPS is.

  Returns:
    the web app default setting for HTTPS. Value will be one of WebflowJSPHelper.CALCULATE_HTTPS, or WebflowJSPHelper.USE_HTTP, or WebflowJSPHelper.USE_HTTPS

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.jsp.PageContext pageContext,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    boolean includeParameters)
                                             throws javax.servlet.jsp.JspException

  Returns a URL for Webflow. This method does not provide a namespace parameter for the origin, so the current namespace is used if it is available, otherwise the webapp's default namespace is used.

  Note: this method assumes redirect = false, HTTPSFlag = USE_WEBAPP_DEFAULT_HTTPS, encode = ENCODE_URLS default web.xml setting and escape = ESCAPE_URLS default web.xml setting

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.jsp.PageContext pageContext,
                                                    java.lang.String namespace,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    boolean includeParameters)
                                             throws javax.servlet.jsp.JspException

  Returns a URL for Webflow.

  Note: this method assumes redirect = false, HTTPSFlag = USE_WEBAPP_DEFAULT_HTTPS, encode = ENCODE_URLS default web.xml setting and escape = ESCAPE_URLS default web.xml setting

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `namespace` - a String containing the webflow namespace that the origin belongs to. If this is null, the webflow engine will assume the namespace of the destination of the last webflow execution for this HttpSession. If that does not exist, the web app's default namespace is used.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.jsp.PageContext pageContext,
                                                    java.lang.String namespace,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    java.lang.String urlSuffix,
                                                    java.lang.String extraParams,
                                                    boolean includeParameters,
                                                    boolean doRedirect)
                                             throws javax.servlet.jsp.JspException

  Returns a URL for Webflow.

  Note: this method assumes HTTPSFlag = USE_WEBAPP_DEFAULT_HTTPS, encode = ENCODE_URLS default web.xml setting and escape = ESCAPE_URLS default web.xml setting

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `namespace` - a String containing the webflow namespace that the origin belongs to. If this is null, the webflow engine will assume the namespace of the destination of the last webflow execution for this HttpSession. If that does not exist, the web app's default namespace is used.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `urlSuffix` - a String, that can contain extra relative path info that will be added to the URL after the servlet path and before the parameters. Pass null if you have no additional path information.
    `extraParams` - a String, that can contain extra parameters to add to the URL after the servlet path information. Do not prepend a '&' or '?' to the String, the method will do that for you. You should pass a String of the form "param=value¶m2=value2...". Pass null if you have no additional parameters.
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
    `doRedirect` - a boolean, if true add param to URL to signal webflow to redirect and not forward to the URL
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.jsp.PageContext pageContext,
                                                    java.lang.String namespace,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    java.lang.String urlSuffix,
                                                    java.lang.String extraParams,
                                                    boolean includeParameters,
                                                    boolean doRedirect,
                                                    boolean encode)
                                             throws javax.servlet.jsp.JspException

  Returns a URL for Webflow.

  Note: this method assumes HTTPSFlag = USE_WEBAPP_DEFAULT_HTTPS and escape = ESCAPE_URLS default web.xml setting

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `namespace` - a String containing the webflow namespace that the origin belongs to. If this is null, the webflow engine will assume the namespace of the destination of the last webflow execution for this HttpSession. If that does not exist, the web app's default namespace is used.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `urlSuffix` - a String, that can contain extra relative path info that will be added to the URL after the servlet path and before the parameters. Pass null if you have no additional path information.
    `extraParams` - a String, that can contain extra parameters to add to the URL after the servlet path information. Do not prepend a '&' or '?' to the String, the method will do that for you. You should pass a String of the form "param=value¶m2=value2...". Pass null if you have no additional parameters.
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
    `doRedirect` - a boolean, if true add param to URL to signal webflow to redirect and not forward to the URL
    `encode` - a boolean, if true, this method will encode the resultant URL before returning it, using HttpServletResponse.encode(). This will add the session identifier to the URL if it is required for this client. This should usually true.
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.jsp.PageContext pageContext,
                                                    java.lang.String namespace,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    java.lang.String urlSuffix,
                                                    java.lang.String extraParams,
                                                    boolean includeParameters,
                                                    boolean doRedirect,
                                                    boolean encode,
                                                    int HTTPSFlag)
                                             throws javax.servlet.jsp.JspException

  Returns a URL for Webflow.

  Note: this method assumes escape = ESCAPE_URLS default web.xml setting

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `namespace` - a String containing the webflow namespace that the origin belongs to. If this is null, the webflow engine will assume the namespace of the destination of the last webflow execution for this HttpSession. If that does not exist, the web app's default namespace is used.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `urlSuffix` - a String, that can contain extra relative path info that will be added to the URL after the servlet path and before the parameters. Pass null if you have no additional path information.
    `extraParams` - a String, that can contain extra parameters to add to the URL after the servlet path information. Do not prepend a '&' or '?' to the String, the method will do that for you. You should pass a String of the form "param=value¶m2=value2...". Pass null if you have no additional parameters.
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
    `doRedirect` - a boolean, if true add param to URL to signal webflow to redirect and not forward to the URL
    `encode` - a boolean, if true, this method will encode the resultant URL before returning it, using HttpServletResponse.encode(). This will add the session identifier to the URL if it is required for this client. This should usually true.
    `HTTPSFlag` - an int that can be USE_HTTP, USE_HTTPS, CALCULATE_HTTPS, or USE_WEBAPP_DEFAULT_HTTPS. USE_WEBAPP_DEFAULT_HTTPS is the default. If you do not wish for WebflowJSPHelper to calculate whether HTTPS is required for this URL, you may specify whether or not HTTPS should be used. Note that HTTP is the normal choice, but if any dependent Inputprocessor or PipelineComponent needs HTTPS and HTTP is specified here, a configuration error will result. If you are unsure of which to use or wish to uphold maintainability, specify CALCULATE_HTTPS and rely on Webflow to calculate this for you.
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.jsp.PageContext pageContext,
                                                    java.lang.String namespace,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    java.lang.String urlSuffix,
                                                    java.lang.String extraParams,
                                                    java.lang.String urlPrefix,
                                                    java.lang.String domainName,
                                                    boolean includeParameters,
                                                    boolean doRedirect,
                                                    boolean encode,
                                                    int HTTPSFlag,
                                                    java.lang.String resourceIdentifier)
                                             throws javax.servlet.jsp.JspException

  Returns a URL for Webflow.

  Note: this method assumes escape = ESCAPE_URLS default web.xml setting

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `namespace` - a String containing the webflow namespace that the origin belongs to. If this is null, the webflow engine will assume the namespace of the destination of the last webflow execution for this HttpSession. If that does not exist, the web app's default namespace is used.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `urlSuffix` - a String, that can contain extra relative path info that will be added to the URL after the servlet path and before the parameters. Pass null if you have no additional path information.
    `extraParams` - a String, that can contain extra parameters to add to the URL after the servlet path information. Do not prepend a '&' or '?' to the String, the method will do that for you. You should pass a String of the form "param=value¶m2=value2...". Pass null if you have no additional parameters.
    `urlPrefix` - An optional prefix that can be supplied to the servlet path information, if non null this can overridie the "P13N_URL_PREFIX" in the web.xml.
    `domainName` - An optional parameter that can be used to specify a different domain name. this is used when a proxy is located on another server. If non null this will overrid the "P13N_URL_DOMAIN" in the web.xml
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
    `doRedirect` - a boolean, if true add param to URL to signal webflow to redirect and not forward to the URL
    `encode` - a boolean, if true, this method will encode the resultant URL before returning it, using HttpServletResponse.encode(). This will add the session identifier to the URL if it is required for this client. This should usually true.
    `HTTPSFlag` - an int that can be USE_HTTP, USE_HTTPS, CALCULATE_HTTPS, or USE_WEBAPP_DEFAULT_HTTPS. USE_WEBAPP_DEFAULT_HTTPS is the default. If you do not wish for WebflowJSPHelper to calculate whether HTTPS is required for this URL, you may specify whether or not HTTPS should be used. Note that HTTP is the normal choice, but if any dependent Inputprocessor or PipelineComponent needs HTTPS and HTTP is specified here, a configuration error will result. If you are unsure of which to use or wish to uphold maintainability, specify CALCULATE_HTTPS and rely on Webflow to calculate this for you.
    `resourceIdentifier` - identify the resource this URL is being generated for. for example the page name. This parameter is used to determine if the resource requires the URLs to use https. It may be null.
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.jsp.PageContext pageContext,
                                                    java.lang.String namespace,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    java.lang.String urlSuffix,
                                                    java.lang.String extraParams,
                                                    java.lang.String urlPrefix,
                                                    java.lang.String domainName,
                                                    boolean includeParameters,
                                                    boolean doRedirect,
                                                    int HTTPSFlag,
                                                    java.lang.String resourceIdentifier,
                                                    int escape)
                                             throws javax.servlet.jsp.JspException

  Returns a URL for Webflow.

  Note: this method assumes encode = ENCODE_URLS default web.xml setting

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `namespace` - a String containing the webflow namespace that the origin belongs to. If this is null, the webflow engine will assume the namespace of the destination of the last webflow execution for this HttpSession. If that does not exist, the web app's default namespace is used.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `urlSuffix` - a String, that can contain extra relative path info that will be added to the URL after the servlet path and before the parameters. Pass null if you have no additional path information.
    `extraParams` - a String, that can contain extra parameters to add to the URL after the servlet path information. Do not prepend a '&' or '?' to the String, the method will do that for you. You should pass a String of the form "param=value¶m2=value2...". Pass null if you have no additional parameters.
    `urlPrefix` - An optional prefix that can be supplied to the servlet path information, if non null this can overridie the "P13N_URL_PREFIX" in the web.xml.
    `domainName` - An optional parameter that can be used to specify a different domain name. this is used when a proxy is located on another server. If non null this will overrid the "P13N_URL_DOMAIN" in the web.xml
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
    `doRedirect` - a boolean, if true add param to URL to signal webflow to redirect and not forward to the URL
    `HTTPSFlag` - an int that can be USE_HTTP, USE_HTTPS, CALCULATE_HTTPS, or USE_WEBAPP_DEFAULT_HTTPS. USE_WEBAPP_DEFAULT_HTTPS is the default. If you do not wish for WebflowJSPHelper to calculate whether HTTPS is required for this URL, you may specify whether or not HTTPS should be used. Note that HTTP is the normal choice, but if any dependent Inputprocessor or PipelineComponent needs HTTPS and HTTP is specified here, a configuration error will result. If you are unsure of which to use or wish to uphold maintainability, specify CALCULATE_HTTPS and rely on Webflow to calculate this for you.
    `resourceIdentifier` - identify the resource this URL is being generated for. for example the page name. This parameter is used to determine if the resource requires the URLs to use https. It may be null.
    `escape` - an integer, should be one of WebflowJSPHelper.NO_ESCAPE_URL, WebflowJSPHelper.ESCAPE_URL, or WebflowJSPHelper.CALCULATE_ESCAPE_URL. If WebflowJSPHelper.NO_ESCAPE_URL, no escaping is performed. If WebflowJSPHelper.ESCAPE_URL the URL will be escaped. If WebflowJSPHelper.CALCULATE_ESCAPE_URL, the URL is checked for characters that need to be escaped an encoding is performed only if needed.
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.jsp.PageContext pageContext,
                                                    java.lang.String namespace,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    java.lang.String urlSuffix,
                                                    java.lang.String extraParams,
                                                    java.lang.String urlPrefix,
                                                    java.lang.String domainName,
                                                    boolean includeParameters,
                                                    boolean doRedirect,
                                                    int HTTPSFlag,
                                                    java.lang.String resourceIdentifier)
                                             throws javax.servlet.jsp.JspException

  Returns a URL for Webflow.

  Note: this method assumes encode = ENCODE_URLS default web.xml setting and escape = ESCAPE_URLS default web.xml setting

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `namespace` - a String containing the webflow namespace that the origin belongs to. If this is null, the webflow engine will assume the namespace of the destination of the last webflow execution for this HttpSession. If that does not exist, the web app's default namespace is used.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `urlSuffix` - a String, that can contain extra relative path info that will be added to the URL after the servlet path and before the parameters. Pass null if you have no additional path information.
    `extraParams` - a String, that can contain extra parameters to add to the URL after the servlet path information. Do not prepend a '&' or '?' to the String, the method will do that for you. You should pass a String of the form "param=value¶m2=value2...". Pass null if you have no additional parameters.
    `urlPrefix` - An optional prefix that can be supplied to the servlet path information, if non null this can overridie the "P13N_URL_PREFIX" in the web.xml.
    `domainName` - An optional parameter that can be used to specify a different domain name. this is used when a proxy is located on another server. If non null this will overrid the "P13N_URL_DOMAIN" in the web.xml
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
    `doRedirect` - a boolean, if true add param to URL to signal webflow to redirect and not forward to the URL
    `HTTPSFlag` - an int that can be USE_HTTP, USE_HTTPS, CALCULATE_HTTPS, or USE_WEBAPP_DEFAULT_HTTPS. USE_WEBAPP_DEFAULT_HTTPS is the default. If you do not wish for WebflowJSPHelper to calculate whether HTTPS is required for this URL, you may specify whether or not HTTPS should be used. Note that HTTP is the normal choice, but if any dependent Inputprocessor or PipelineComponent needs HTTPS and HTTP is specified here, a configuration error will result. If you are unsure of which to use or wish to uphold maintainability, specify CALCULATE_HTTPS and rely on Webflow to calculate this for you.
    `resourceIdentifier` - identify the resource this URL is being generated for. for example the page name. This parameter is used to determine if the resource requires the URLs to use https. It may be null.
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.jsp.PageContext pageContext,
                                                    java.lang.String namespace,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    java.lang.String urlSuffix,
                                                    java.lang.String extraParams,
                                                    java.lang.String urlPrefix,
                                                    java.lang.String domainName,
                                                    boolean includeParameters,
                                                    boolean doRedirect,
                                                    boolean encode,
                                                    int HTTPSFlag,
                                                    java.lang.String resourceIdentifier,
                                                    int escape)

  Returns a URL for Webflow.

  Note: this method assumes encode = default and escape = default web.xml setting

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `namespace` - a String containing the webflow namespace that the origin belongs to. If this is null, the webflow engine will assume the namespace of the destination of the last webflow execution for this HttpSession. If that does not exist, the web app's default namespace is used.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `urlSuffix` - a String, that can contain extra relative path info that will be added to the URL after the servlet path and before the parameters. Pass null if you have no additional path information.
    `extraParams` - a String, that can contain extra parameters to add to the URL after the servlet path information. Do not prepend a '&' or '?' to the String, the method will do that for you. You should pass a String of the form "param=value¶m2=value2...". Pass null if you have no additional parameters.
    `urlPrefix` - An optional prefix that can be supplied to the servlet path information, if non null this can overridie the "P13N_URL_PREFIX" in the web.xml.
    `domainName` - An optional parameter that can be used to specify a different domain name. this is used when a proxy is located on another server. If non null this will overrid the "P13N_URL_DOMAIN" in the web.xml
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
    `doRedirect` - a boolean, if true add param to URL to signal webflow to redirect and not forward to the URL
    `encode` - a boolean, if true, this method will encode the resultant URL before returning it, using HttpServletResponse.encode(). This will add the session identifier to the URL if it is required for this client. This should usually true.
    `HTTPSFlag` - an int that can be USE_HTTP, USE_HTTPS, CALCULATE_HTTPS, or USE_WEBAPP_DEFAULT_HTTPS. USE_WEBAPP_DEFAULT_HTTPS is the default. If you do not wish for WebflowJSPHelper to calculate whether HTTPS is required for this URL, you may specify whether or not HTTPS should be used. Note that HTTP is the normal choice, but if any dependent Inputprocessor or PipelineComponent needs HTTPS and HTTP is specified here, a configuration error will result. If you are unsure of which to use or wish to uphold maintainability, specify CALCULATE_HTTPS and rely on Webflow to calculate this for you.
    `resourceIdentifier` - identify the resource this URL is being generated for. for example the page name. This parameter is used to determine if the resource requires the URLs to use https. It may be null.
    `escape` - an integer, should be one of WebflowJSPHelper.NO_ESCAPE_URL, WebflowJSPHelper.ESCAPE_URL, or WebflowJSPHelper.CALCULATE_ESCAPE_URL. If WebflowJSPHelper.NO_ESCAPE_URL, no escaping is performed. If WebflowJSPHelper.ESCAPE_URL the URL will be escaped. If WebflowJSPHelper.CALCULATE_ESCAPE_URL, the URL is checked for characters that need to be escaped an encoding is performed only if needed.
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.ServletContext context,
                                                    javax.servlet.http.HttpServletRequest request,
                                                    javax.servlet.http.HttpServletResponse response,
                                                    java.lang.String namespace,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    java.lang.String urlSuffix,
                                                    java.lang.String extraParams,
                                                    boolean includeParameters,
                                                    boolean doRedirect,
                                                    boolean encode,
                                                    int HTTPSFlag)

  Returns a URL for Webflow.

  Note: this method assumes escape = ESCAPE_URLS default web.xml setting

  Parameters:
    `context` - The ServletContext object from the container.
    `request` - The HttpServletRequest object
    `response` - The HttpServletResponse object
    `namespace` - a String containing the webflow namespace that the origin belongs to. If this is null, the webflow engine will assume the namespace of the destination of the last webflow execution for this HttpSession. If that does not exist, the web app's default namespace is used.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `urlSuffix` - a String, that can contain extra relative path info that will be added to the URL after the servlet path and before the parameters. Pass null. Also known as urlSuffix if you have no additional path information.
    `extraParams` - a String, that can contain extra parameters to add to the URL after the servlet path information. Do not prepend a '&' or '?' to the String, the method will do that for you. You should pass a String of the form "param=value¶m2=value2...". Pass null if you have no additional parameters.
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
    `doRedirect` - a boolean, if true add param to URL to signal webflow to redirect and not forward to the URL
    `encode` - a boolean, if true, this method will encode the resultant URL before returning it, using HttpServletResponse.encode(). This will add the session identifier to the URL if it is required for this client. This should usually true.
    `HTTPSFlag` - an int that can be USE_HTTP, USE_HTTPS, CALCULATE_HTTPS, or USE_WEBAPP_DEFAULT_HTTPS. USE_WEBAPP_DEFAULT_HTTPS is the default. If you do not wish for WebflowJSPHelper to calculate whether HTTPS is required for this URL, you may specify whether or not HTTPS should be used. Note that HTTP is the normal choice, but if any dependent Inputprocessor or PipelineComponent needs HTTPS and HTTP is specified here, a configuration error will result. If you are unsure of which to use or wish to uphold maintainability, specify CALCULATE_HTTPS and rely on Webflow to calculate this for you.
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### shouldForceHTTPS

    public static boolean shouldForceHTTPS(javax.servlet.http.HttpServletRequest request)

  Determine if HTTPS should be forced for this particular request.

  Parameters:
    `request` - the current request, used to check if the user has been authenticated
  Returns:
    true if isForceHTTPS() is true and the user has been authenticated.

### isForceHTTPS

    public static boolean isForceHTTPS()

  Returns:
    the value of forceHTTPS

### getSslEnabled

    public static java.lang.String getSslEnabled()

  Returns:
    the value of sslEnabled, "true" or "false"

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.ServletContext context,
                                                    javax.servlet.http.HttpServletRequest request,
                                                    javax.servlet.http.HttpServletResponse response,
                                                    java.lang.String namespace,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    java.lang.String urlSuffix,
                                                    java.lang.String extraParams,
                                                    java.lang.String urlPrefix,
                                                    java.lang.String domainName,
                                                    boolean includeParameters,
                                                    boolean doRedirect,
                                                    boolean encode,
                                                    int HTTPSFlag,
                                                    java.lang.String resourceIdentifier)

  Returns a URL for Webflow.

  Note: this method assumes escape = ESCAPE_URLS default web.xml setting

  Parameters:
    `context` - The ServletContext object from the container.
    `request` - The HttpServletRequest object
    `response` - The HttpServletResponse object
    `namespace` - a String containing the webflow namespace that the origin belongs to. If this is null, the webflow engine will assume the namespace of the destination of the last webflow execution for this HttpSession. If that does not exist, the web app's default namespace is used.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `urlSuffix` - a String, that can contain extra relative path info that will be added to the URL after the servlet path and before the parameters. Pass null. Also known as urlSuffix if you have no additional path information.
    `extraParams` - a String, that can contain extra parameters to add to the URL after the servlet path information. Do not prepend a '&' or '?' to the String, the method will do that for you. You should pass a String of the form "param=value¶m2=value2...". Pass null if you have no additional parameters.
    `urlPrefix` - An optional prefix that can be supplied to the servlet path information, if non null this can overridie the "P13N_URL_PREFIX" in the web.xml.
    `domainName` - An optional parameter that can be used to specify a different domain name. this is used when a proxy is located on another server. If non null this will overrid the "P13N_URL_DOMAIN" in the web.xml
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
    `doRedirect` - a boolean, if true add param to URL to signal webflow to redirect and not forward to the URL
    `encode` - a boolean, if true, this method will encode the resultant URL before returning it, using HttpServletResponse.encode(). This will add the session identifier to the URL if it is required for this client. This should usually true.
    `HTTPSFlag` - an int that can be USE_HTTP, USE_HTTPS, CALCULATE_HTTPS, or USE_WEBAPP_DEFAULT_HTTPS. USE_WEBAPP_DEFAULT_HTTPS is the default. If you do not wish for WebflowJSPHelper to calculate whether HTTPS is required for this URL, you may specify whether or not HTTPS should be used. Note that HTTP is the normal choice, but if any dependent Inputprocessor or PipelineComponent needs HTTPS and HTTP is specified here, a configuration error will result. If you are unsure of which to use or wish to uphold maintainability, specify CALCULATE_HTTPS and rely on Webflow to calculate this for you.
    `resourceIdentifier` - identify the resource this URL is being generated for. for example the page name. This parameter is used to determine if the resource requires the URLs to use https. It may be null.
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createWebflowURL

    public static java.lang.String createWebflowURL(javax.servlet.ServletContext context,
                                                    javax.servlet.http.HttpServletRequest request,
                                                    javax.servlet.http.HttpServletResponse response,
                                                    java.lang.String namespace,
                                                    java.lang.String origin,
                                                    java.lang.String event,
                                                    java.lang.String urlSuffix,
                                                    java.lang.String extraParams,
                                                    java.lang.String urlPrefix,
                                                    java.lang.String domainName,
                                                    boolean includeParameters,
                                                    boolean doRedirect,
                                                    boolean encode,
                                                    int HTTPSFlag,
                                                    java.lang.String resourceIdentifier,
                                                    int escape)

  Returns a URL for Webflow.

  Parameters:
    `context` - The ServletContext object from the container.
    `request` - The HttpServletRequest object
    `response` - The HttpServletResponse object
    `namespace` - a String containing the webflow namespace that the origin belongs to. If this is null, the webflow engine will assume the namespace of the destination of the last webflow execution for this HttpSession. If that does not exist, the web app's default namespace is used.
    `origin` - a String containing the origin of the webflow event. If this is null, the origin is assumed to be "begin" by the webflow engine.
    `event` - a String containing the webflow event to be used. This parameter is required, unless origin = "begin", in which case it is ignored and can be null.
    `urlSuffix` - a String, that can contain extra relative path info that will be added to the URL after the servlet path and before the parameters. Pass null. Also known as urlSuffix if you have no additional path information.
    `extraParams` - a String, that can contain extra parameters to add to the URL after the servlet path information. Do not prepend a '&' or '?' to the String, the method will do that for you. You should pass a String of the form "param=value¶m2=value2...". Pass null if you have no additional parameters.
    `urlPrefix` - An optional prefix that can be supplied to the servlet path information, if non null this can overridie the "P13N_URL_PREFIX" in the web.xml.
    `domainName` - An optional parameter that can be used to specify a different domain name. this is used when a proxy is located on another server. If non null this will overrid the "P13N_URL_DOMAIN" in the web.xml
    `includeParameters` - a boolean, if true then the given namespace, origin and event will be included as parameters in the generated URL. A value of false is suitable for requests with hidden namespace, origin and event parameters. Usually this should be set to `true` for GETs and `false` for POSTs.
    `doRedirect` - a boolean, if true add param to URL to signal webflow to redirect and not forward to the URL
    `encode` - a boolean, if true, this method will encode the resultant URL before returning it, using HttpServletResponse.encode(). This will add the session identifier to the URL if it is required for this client. This should usually true.
    `HTTPSFlag` - an int that can be USE_HTTP, USE_HTTPS, CALCULATE_HTTPS, or USE_WEBAPP_DEFAULT_HTTPS. USE_WEBAPP_DEFAULT_HTTPS is the default. If you do not wish for WebflowJSPHelper to calculate whether HTTPS is required for this URL, you may specify whether or not HTTPS should be used. Note that HTTP is the normal choice, but if any dependent Inputprocessor or PipelineComponent needs HTTPS and HTTP is specified here, a configuration error will result. If you are unsure of which to use or wish to uphold maintainability, specify CALCULATE_HTTPS and rely on Webflow to calculate this for you.
    `resourceIdentifier` - identify the resource this URL is being generated for. for example the page name. This parameter is used to determine if the resource requires the URLs to use https. It may be null.
    `escape` - an integer, should be one of WebflowJSPHelper.NO_ESCAPE_URL, WebflowJSPHelper.ESCAPE_URL, or WebflowJSPHelper.CALCULATE_ESCAPE_URL. If WebflowJSPHelper.NO_ESCAPE_URL, no escaping is performed. If WebflowJSPHelper.ESCAPE_URL the URL will be escaped. If WebflowJSPHelper.CALCULATE_ESCAPE_URL, the URL is checked for characters that need to be escaped an encoding is performed only if needed.
  Returns:
    a String, the webflow URL.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createStaticResourceURL

    public static java.lang.String createStaticResourceURL(javax.servlet.jsp.PageContext pageContext,
                                                           java.lang.String url,
                                                           boolean encode)

  Returns a URL for images and other static resources that may exist on a seperate server. The URL will be relative to the init param P13N_STATIC_ROOT if it is set in web.xml for this webapp. The static root should be of the form "/path1/path2/etc". If not it will be relative to the request's context path. Whether or not the URL is escaped is determined by the web.xml context-param named ESCAPE_STATIC_URLS. If this parameter is not set the default will be to escape the URL.

  Note: this method replaces createGIFUrl() from the 3.1 to 3.5 releases

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `url` - a String containing a relative URL to the static resource. This String generally should start with a '/' character.
    `encode` - a boolean, if true, this method will encode the resultant URL before returning it, using HttpServletResponse.encode(). This will add the session identifier to the URL if it is required for this client. This should usually true.
  Returns:
    a String containing the URL to the resource.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createStaticResourceURLWithEscape

    public static java.lang.String createStaticResourceURLWithEscape(javax.servlet.jsp.PageContext pageContext,
                                                                     java.lang.String url,
                                                                     int escape)

  Returns an escaped URL for images and other static resources that may exist on a seperate server. The URL will be relative to the init param P13N_STATIC_ROOT if it is set in web.xml for this webapp. The static root should be of the form "/path1/path2/etc". If not it will be relative to the request's context path. Whether or not the URL is encoded is determined by the web.xml context-param named ENCODE_STATIC_URLS. If this parameter is not set the default will be to encode the URL.

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `url` - a String containing a relative URL to the static resource. This String generally should start with a '/' character.
    `escape` - an integer, should be one of WebflowJSPHelper.NO_ESCAPE_URL, WebflowJSPHelper.ESCAPE_URL, or WebflowJSPHelper.CALCULATE_ESCAPE_URL. If WebflowJSPHelper.NO_ESCAPE_URL, no escaping is performed. If WebflowJSPHelper.ESCAPE_URL the URL will be escaped. If WebflowJSPHelper.CALCULATE_ESCAPE_URL, the URL is checked for characters that need to be escaped an encoding is performed only if needed.
  Returns:
    a String containing the URL to the resource.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createStaticResourceURL

    public static java.lang.String createStaticResourceURL(javax.servlet.jsp.PageContext pageContext,
                                                           java.lang.String url)

  Returns a URL for images and other static resources that may exist on a seperate server. The URL will be relative to the init param P13N_STATIC_ROOT if it is set in web.xml for this webapp. The static root should be of the form "/path1/path2/etc". If not it will be relative to the request's context path. Whether or not the URL is encoded is determined by the web.xml context-param named ENCODE_STATIC_URLS. If this parameter is not set the default will be to encode the URL. Whether or not the URL is escaped is determined by the web.xml context-param named ESCAPE_STATIC_URLS. If this parameter is not set the default will be to escape the URL.

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `url` - a String containing a relative URL to the static resource. This String generally should start with a '/' character.
  Returns:
    a String containing the URL to the resource.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### createStaticResourceURL

    public static java.lang.String createStaticResourceURL(javax.servlet.jsp.PageContext pageContext,
                                                           java.lang.String url,
                                                           boolean encode,
                                                           int escape)

  Returns a URL for images and other static resources that may exist on a seperate server. The URL will be relative to the init param P13N_STATIC_ROOT if it is set in web.xml for this webapp. The static root should be of the form "/path1/path2/etc". If not it will be relative to the request's context path.

  Parameters:
    `pageContext` - The PageContext object from the JSP.
    `url` - a String containing a relative URL to the static resource. This String generally should start with a '/' character.
    `encode` - a boolean, if true, this method will encode the resultant URL before returning it, using HttpServletResponse.encode(). This will add the session identifier to the URL if it is required for this client. This should usually true.
    `escape` - an integer, should be one of WebflowJSPHelper.NO_ESCAPE_URL, WebflowJSPHelper.ESCAPE_URL, or WebflowJSPHelper.CALCULATE_ESCAPE_URL. If WebflowJSPHelper.NO_ESCAPE_URL, no escaping is performed. If WebflowJSPHelper.ESCAPE_URL the URL will be escaped. If WebflowJSPHelper.CALCULATE_ESCAPE_URL, the URL is checked for characters that need to be escaped an encoding is performed only if needed.
  Returns:
    a String containing the URL to the resource.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `escapeURL(String url)`, `escapeURL(String url, boolean calculate)`

### getDefaultWebflowNamespace

    public static java.lang.String getDefaultWebflowNamespace(javax.servlet.jsp.PageContext pageContext)

  Gets the name of the default namespace.

  Parameters:
    `pageContext` - The PageContext object from the JSP.
  Returns:
    a String containing the name of the default namespace for the current web application (as specified in the web.xml file). Can return null if the default NS is not specified.

### getEncodeDefault

    public static boolean getEncodeDefault(javax.servlet.jsp.PageContext pageContext)

  Returns the default setting for URL response encoding. True indicates that by default URLs will be response encoded.

  Parameters:
    `pageContext` - The PageContext object from the JSP.
  Returns:
    the default setting for URL response encoding.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`

### getEncodeStaticDefault

    public static boolean getEncodeStaticDefault(javax.servlet.jsp.PageContext pageContext)

  Returns the default setting for static URL response encoding. True indicates that by default static URLs will be response encoded.

  Parameters:
    `pageContext` - The PageContext object from the JSP.
  Returns:
    the default setting for URL response encoding.
  See Also:
    `encodeURL(HttpServletResponse response, String url)`, `createStaticResourceURL(javax.servlet.jsp.PageContext, java.lang.String, boolean)`, `createStaticResourceURLWithEscape(javax.servlet.jsp.PageContext, java.lang.String, int)`

### getEscapeDefault

    public static int getEscapeDefault(javax.servlet.jsp.PageContext pageContext)

  Returns the default setting for URL escaping. True indicates that by default URLs will be escaped.

  Parameters:
    `pageContext` - The PageContext object from the JSP.
  Returns:
    the default setting for URL escaping.
  See Also:
    `escapeURL(String url)`

### getEscapeStaticDefault

    public static int getEscapeStaticDefault(javax.servlet.jsp.PageContext pageContext)

  Returns the default setting for static URL escaping. True indicates that by default URLs will be escaped.

  Parameters:
    `pageContext` - The PageContext object from the JSP.
  Returns:
    the default setting for URL escaping.
  See Also:
    `escapeURL(String url)`

### priceFormat

    public static java.lang.String priceFormat(double price)

  Deprecated.
  Formats a price to display in the JSP so that it contains 2 decimal places. This method simply delegates to java.text.NumberFormat. Look to that class if more functionality is needed.

  Note: this method does perform rounding, so 8.999 will become 9.00. It will also add delimiting characters such as 10000 -> 10,000

  Parameters:
    `price` - a double containing the price to remformat
  Returns:
    a String containing price formatted with two decimal digits.

### quantityFormat

    public static java.lang.String quantityFormat(double quantity)

  Deprecated.
  Formats a quanityt value to display in the JSP so that it contains no decimal places. This method simply delegates to java.text.NumberFormat. Look to that class if more functionality is needed.

  Parameters:
    `quantity` - a double containing the number to format
  Returns:
    a String containing the quantity formatted with zero decimal digit

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved